Update Workflow
curl --request PATCH \
--url https://api.getoutbox.ai/workflow/{workflow_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"active": true,
"timezone": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"allowed_windows": null,
"allow_reentry": true,
"stop_on_response": true,
"is_deleted": true,
"trigger": {
"filters": "<unknown>",
"config": "<unknown>"
},
"actions": [
{
"order": 1073741823,
"branch_index": -1,
"config": "<unknown>",
"is_deleted": true
}
]
}
'import requests
url = "https://api.getoutbox.ai/workflow/{workflow_id}/"
payload = {
"name": "<string>",
"description": "<string>",
"active": True,
"timezone": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"allowed_windows": None,
"allow_reentry": True,
"stop_on_response": True,
"is_deleted": True,
"trigger": {
"filters": "<unknown>",
"config": "<unknown>"
},
"actions": [
{
"order": 1073741823,
"branch_index": -1,
"config": "<unknown>",
"is_deleted": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
active: true,
timezone: '<string>',
phone_number: '<string>',
email: 'jsmith@example.com',
allowed_windows: null,
allow_reentry: true,
stop_on_response: true,
is_deleted: true,
trigger: {filters: '<unknown>', config: '<unknown>'},
actions: [{order: 1073741823, branch_index: -1, config: '<unknown>', is_deleted: true}]
})
};
fetch('https://api.getoutbox.ai/workflow/{workflow_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"triggers": "<string>",
"enrollment_count": "<string>",
"total_enrollment_count": "<string>",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jarvis_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"active": true,
"timezone": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"allowed_windows": null,
"allow_reentry": true,
"stop_on_response": true,
"is_deleted": true,
"trigger": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": "<unknown>",
"config": "<unknown>"
},
"actions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waiting_count": "<string>",
"module_info": "<string>",
"tools_info": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_action": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 1073741823,
"branch_index": -1,
"config": "<unknown>",
"is_deleted": true
}
]
}Workflows
Update Workflow
Partial update of a workflow (name, description, triggers, actions, active flag, folder).
PATCH
/
workflow
/
{workflow_id}
/
Update Workflow
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Required string length:
1 - 128Timezone for workflow scheduling (e.g., America/New_York)
Maximum string length:
64Default phone number ID (UUID) for workflow actions
Maximum string length:
36Default email for workflow actions
Maximum string length:
256Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Maximum string length:
128Timezone for workflow scheduling (e.g., America/New_York)
Maximum string length:
64Default phone number ID (UUID) for workflow actions
Maximum string length:
36Default email for workflow actions
Maximum string length:
256Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

